Name:		openrdate
Version:	1.2
Release:	%mkrel 11
Summary:	Good-old rdate date and time-setting software
Group:		System/Configuration
License:	BSD and BSD with advertising
URL:		https://sourceforge.net/projects/openrdate
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# openrdate-1.2-1 replaces rdate-1.4-24, which does not have active upstream
Provides:	rdate = %{version}-%{release}
Obsoletes:	rdate < 1.4-25

Patch0:openrdate_sysctl.patch
%description
Good-old date- and time-setting rdate software implementing RFC 868
(inetd time) and RFC 2030 (SNTP/NTP) protocols. An independent package
of OpenBSD's rdate program.

%prep
%setup -q
%patch -P 0 -p1

#make autoreconf more happy
sed -i -e 's,AM_INIT_AUTOMAKE,AM_INIT_AUTOMAKE(\[subdir-objects\]),' configure.ac

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

%files
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/rdate
%{_mandir}/man8/rdate.8*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.2-11.mga10
+ Revision: 2232191
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 1.2-10.mga10
+ Revision: 2128005
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.2-9.mga9
+ Revision: 1792949
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 1.2-8.mga8
+ Revision: 1649520
- Fix build with glibc-2.32
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.2-7.mga8
+ Revision: 1515724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2-6.mga7
+ Revision: 1300030
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 1.2-5.mga7
+ Revision: 1236362
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 1.2-4.mga6
+ Revision: 935462
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 745105
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-2.mga5
+ Revision: 683232
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 luigiwalser <luigiwalser> 1.2-1.mga5
+ Revision: 596719
- imported package openrdate


* Mon Aug 19 2013 Honza Horak <hhorak@redhat.com> - 1.2-4
- Fix obsoletes NVR
  Resolves: #998172

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Honza Horak <hhorak@redhat.com> - 1.2-2
- Fix issues found by Package Review

* Mon May 27 2013 Honza Horak <hhorak@redhat.com> - 1.2-1
- Initial packaging

